%global api	1.0
%global major	0
%define libname	%mklibname graphene %{api} %{major}
%define devname	%mklibname graphene %{api} -d
%define girname	%mklibname graphene-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A thin layer of types for graphic libraries
Name:		graphene
Version:	1.10.2
Release:	%mkrel 1
License:	MIT
Group:          System/Libraries
URL:		https://github.com/ebassi/graphene
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig
BuildRequires:	meson

%description
Graphene provides a small set of mathematical types needed to implement graphic
libraries that deal with 2D and 3D transformations and projections.

%package -n %{libname}
Summary:	A thin layer of types for graphic libraries
Group:		System/Libraries
Obsoletes:	%{_lib}graphene0 < 1.8.0-2

%description -n %{libname}
Graphene provides a small set of mathematical types needed to implement graphic
libraries that deal with 2D and 3D transformations and projections.

%package -n %{devname}
Summary:	Header files for Graphene library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}graphene-devel < 1.8.0-2

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Group:          System/Libraries

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}graphene-gir < 1.8.0-2

%description -n %{girname}
GObject introspection interface library for %{name}.

%prep
%autosetup

%build
# meson errors out without a utf8 LANG set
# https://github.com/mesonbuild/meson/issues/1085
export LANG=C.UTF-8

%meson
%meson_build


%install
%meson_install

%files -n %{libname}
%{_libdir}/libgraphene-1.0.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/libgraphene-1.0.so
%{_includedir}/graphene-1.0
%dir %{_libdir}/graphene-1.0
%{_libdir}/graphene-1.0/include
%{_libdir}/pkgconfig/graphene-1.0.pc
%{_libdir}/pkgconfig/graphene-gobject-1.0.pc
%{_datadir}/gir-1.0/Graphene-1.0.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Graphene-1.0.typelib

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/


%changelog
* Mon Jun 22 2020 ovitters <ovitters> 1.10.2-1.mga8
+ Revision: 1598472
- new version 1.10.2

* Sun Feb 16 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1531018
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 ovitters <ovitters> 1.10.0-1.mga8
+ Revision: 1438515
- new version 1.10.0

* Thu Aug 08 2019 ovitters <ovitters> 1.9.6-1.mga8
+ Revision: 1428229
- new version 1.9.6

* Mon Jul 22 2019 tv <tv> 1.9.4-1.mga8
+ Revision: 1423457
- new release

* Mon Jul 22 2019 tv <tv> 1.9.2-1.mga8
+ Revision: 1423456
- new release

* Wed Apr 17 2019 umeabot <umeabot> 1.8.6-2.mga7
+ Revision: 1392604
- Rebuild with meson 0.50.1

* Mon Apr 15 2019 ovitters <ovitters> 1.8.6-1.mga7
+ Revision: 1390736
- new version 1.8.6

* Sun Sep 23 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1298065
- Mageia 7 Mass Rebuild

* Thu Jun 14 2018 ovitters <ovitters> 1.8.2-1.mga7
+ Revision: 1236889
- new version 1.8.2

* Sun Apr 15 2018 daviddavid <daviddavid> 1.8.0-4.mga7
+ Revision: 1218917
- fix requires on -tests subpkg

* Wed Mar 14 2018 wally <wally> 1.8.0-3.mga7
+ Revision: 1209481
- make devel pkg to require gir typelib

* Wed Mar 14 2018 wally <wally> 1.8.0-2.mga7
+ Revision: 1209476
- fix pkg names (include api)

* Wed Mar 14 2018 tv <tv> 1.8.0-1.mga7
+ Revision: 1209457
- add tests subpkg
+ ovitters <ovitters>
- new version 1.8.0

* Fri Feb 23 2018 ovitters <ovitters> 1.6.2-1.mga7
+ Revision: 1204280
- new version 1.6.2

* Wed Mar 22 2017 ovitters <ovitters> 1.6.0-1.mga6
+ Revision: 1094362
- new version 1.6.0
- fix source url

* Thu Feb 02 2017 daviddavid <daviddavid> 1.5.2-3.mga6
+ Revision: 1084604
- use meson macros
- fix summary on library subpackage

* Thu Dec 01 2016 tv <tv> 1.5.2-2.mga6
+ Revision: 1071402
- use meson+ninja directly rather than configure wrapper

* Thu Dec 01 2016 tv <tv> 1.5.2-1.mga6
+ Revision: 1071395
- fix 3 more files regarding UTF-8 vs ascii (was passing with bm but not with iurt or with bm-check-submit)
- fix encoding of source files so that it works when using bm instead of raw rpm
- add graphene-devel provides
- imported package graphene

